/* Base styles (mobile-first) */

body {
    grid-template-columns: 1fr;
    grid-template-areas: 
                         "nav"
                         "header"
                         "header_image"
                         "projects_description"
                         "projects"
                         "journey_description"
                         "journey_timeline"
                         "footer";
}

body > header {
    grid-area: header;
    min-width: 320px;
    padding: 30px;
    text-align: left;
}

#header_image {
    grid-area: header_image;
    min-width: 320px;
    padding: 30px;
}

#projects_description {
    grid-area: projects_description;
    background-color: var(--intercalated-background);
    min-width: 320px;
    padding: 30px;
    text-align: left;
}

#projects {
    grid-area: projects;
    background-color: var(--intercalated-background);
    min-width: 320px;
    padding: 30px;
    display: grid;
    grid-template-columns: 1fr;
}

#journey_description {
    grid-area: journey_description;
    min-width: 320px;
    padding: 30px;
}

#journey_timeline {
    grid-area: journey_timeline;
    min-width: 320px;
    padding: 30px;
    display: grid;
    grid-template-columns: 1fr 6fr;
}

.journey_timeline_separator {
    display: grid;
    grid-template-rows: 10% 10% 80%;
    justify-items: center;
    align-items: center;
}

.divider1 {
    background-color: black;
    width: 3px;
    height: 100%;
    border: 1px solid;
}

.circle {
    background-color: black;
    width: 15px;
    height: 15px;
    border-radius: 7.5px;
}

.divider2 {
    background-color: black;
    width: 3px;
    height: 100%;
    border: 1px solid;
}

/* Tablet styles */
@media only screen and (min-width: 481px) {
    
    body {
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
                         "nav nav"
                         "header header_image"
                         "projects_description projects_description"
                         "projects projects"
                         "journey_description journey_timeline"
                         "footer footer";
    }

    #projects {
        grid-area: projects;
        min-width: 320px;
        padding: 30px;
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
    }

    #projects > #galo, #bizconnected, #migratio {
        padding: 20px;
    }
}

/* Desktop styles */
@media only screen and (min-width: 769px) {
    
    body {
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
                         "nav nav"
                         "header header_image"
                         "projects_description projects_description"
                         "projects projects"
                         "journey_description journey_timeline"
                         "footer footer";
    }

    body > projects {
        grid-area: projects;
        min-width: 320px;
        padding: 30px;
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
    }

    body > projects > galo, bizconnected, migratio {
        padding: 20px;
    }
    
}